[arch-commits] Commit in stylish-haskell/repos/community-x86_64 (PKGBUILD PKGBUILD)

Felix Yan felixonmars at gemini.archlinux.org
Sat Feb 12 15:13:44 UTC 2022


    Date: Saturday, February 12, 2022 @ 15:13:44
  Author: felixonmars
Revision: 1132851

archrelease: copy trunk to community-x86_64

Added:
  stylish-haskell/repos/community-x86_64/PKGBUILD
    (from rev 1132850, stylish-haskell/trunk/PKGBUILD)
Deleted:
  stylish-haskell/repos/community-x86_64/PKGBUILD

----------+
 PKGBUILD |  104 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 52 insertions(+), 52 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2022-02-12 15:13:36 UTC (rev 1132850)
+++ PKGBUILD	2022-02-12 15:13:44 UTC (rev 1132851)
@@ -1,52 +0,0 @@
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Contributor: Arch Haskell Team <arch-haskell at haskell.org>
-
-pkgname=stylish-haskell
-pkgver=0.12.2.0
-pkgrel=119
-pkgdesc="Haskell code prettifier"
-url="https://github.com/jaspervdj/stylish-haskell"
-license=("BSD")
-arch=('x86_64')
-depends=('ghc-libs' 'haskell-aeson' 'haskell-file-embed' 'haskell-ghc-lib-parser'
-         'haskell-optparse-applicative' 'haskell-strict' 'haskell-syb' 'haskell-hsyaml'
-         'haskell-hsyaml-aeson')
-makedepends=('ghc' 'uusi' 'haskell-hunit' 'haskell-random' 'haskell-test-framework'
-             'haskell-test-framework-hunit')
-source=("https://hackage.haskell.org/packages/archive/${pkgname}/${pkgver}/${pkgname}-${pkgver}.tar.gz")
-sha512sums=('6867181265aae8d8afba7c061500008ab4c21b6eebc6178aa0a119b74e0116138749c114c41ef40eb16bb794010a289a6d49715295c3cd29af7d1ab7aa44d568')
-
-prepare() {
-    cd $pkgname-$pkgver
-    uusi -u Cabal -u optparse-applicative $pkgname.cabal
-}
-
-build() {
-    cd $pkgname-$pkgver
-    
-    runhaskell Setup configure -O --enable-shared --enable-executable-dynamic --disable-library-vanilla \
-        --prefix=/usr --docdir="/usr/share/doc/${pkgname}" --enable-tests --datasubdir="$pkgname" \
-        --dynlibdir=/usr/lib --libsubdir=\$compiler/site-local/\$pkgid --ghc-option=-fllvm \
-            -f-old_base --ghc-option='-pie'
-    runhaskell Setup build $MAKEFLAGS
-    runhaskell Setup register --gen-script
-    runhaskell Setup unregister --gen-script
-    sed -i -r -e "s|ghc-pkg.*update[^ ]* |&'--force' |" register.sh
-    sed -i -r -e "s|ghc-pkg.*unregister[^ ]* |&'--force' |" unregister.sh
-}
-
-check() {
-    cd $pkgname-$pkgver
-    # https://github.com/haskell/stylish-haskell/issues/370
-    runhaskell Setup test --show-details=direct || echo "Tests failed"
-}
-
-package() {
-    cd $pkgname-$pkgver
-    
-    install -D -m744 register.sh   "${pkgdir}/usr/share/haskell/register/${pkgname}.sh"
-    install -D -m744 unregister.sh "${pkgdir}/usr/share/haskell/unregister/${pkgname}.sh"
-    runhaskell Setup copy --destdir="${pkgdir}"
-    install -D -m644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
-    rm -f "$pkgdir"/usr/share/doc/$pkgname/LICENSE
-}

Copied: stylish-haskell/repos/community-x86_64/PKGBUILD (from rev 1132850, stylish-haskell/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2022-02-12 15:13:44 UTC (rev 1132851)
@@ -0,0 +1,52 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Arch Haskell Team <arch-haskell at haskell.org>
+
+pkgname=stylish-haskell
+pkgver=0.12.2.0
+pkgrel=120
+pkgdesc="Haskell code prettifier"
+url="https://github.com/jaspervdj/stylish-haskell"
+license=("BSD")
+arch=('x86_64')
+depends=('ghc-libs' 'haskell-aeson' 'haskell-file-embed' 'haskell-ghc-lib-parser'
+         'haskell-optparse-applicative' 'haskell-strict' 'haskell-syb' 'haskell-hsyaml'
+         'haskell-hsyaml-aeson')
+makedepends=('ghc' 'uusi' 'haskell-hunit' 'haskell-random' 'haskell-test-framework'
+             'haskell-test-framework-hunit')
+source=("https://hackage.haskell.org/packages/archive/${pkgname}/${pkgver}/${pkgname}-${pkgver}.tar.gz")
+sha512sums=('6867181265aae8d8afba7c061500008ab4c21b6eebc6178aa0a119b74e0116138749c114c41ef40eb16bb794010a289a6d49715295c3cd29af7d1ab7aa44d568')
+
+prepare() {
+    cd $pkgname-$pkgver
+    uusi -u Cabal -u optparse-applicative $pkgname.cabal
+}
+
+build() {
+    cd $pkgname-$pkgver
+    
+    runhaskell Setup configure -O --enable-shared --enable-executable-dynamic --disable-library-vanilla \
+        --prefix=/usr --docdir="/usr/share/doc/${pkgname}" --enable-tests --datasubdir="$pkgname" \
+        --dynlibdir=/usr/lib --libsubdir=\$compiler/site-local/\$pkgid --ghc-option=-fllvm \
+            -f-old_base --ghc-option='-pie'
+    runhaskell Setup build $MAKEFLAGS
+    runhaskell Setup register --gen-script
+    runhaskell Setup unregister --gen-script
+    sed -i -r -e "s|ghc-pkg.*update[^ ]* |&'--force' |" register.sh
+    sed -i -r -e "s|ghc-pkg.*unregister[^ ]* |&'--force' |" unregister.sh
+}
+
+check() {
+    cd $pkgname-$pkgver
+    # https://github.com/haskell/stylish-haskell/issues/370
+    runhaskell Setup test --show-details=direct || echo "Tests failed"
+}
+
+package() {
+    cd $pkgname-$pkgver
+    
+    install -D -m744 register.sh   "${pkgdir}/usr/share/haskell/register/${pkgname}.sh"
+    install -D -m744 unregister.sh "${pkgdir}/usr/share/haskell/unregister/${pkgname}.sh"
+    runhaskell Setup copy --destdir="${pkgdir}"
+    install -D -m644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+    rm -f "$pkgdir"/usr/share/doc/$pkgname/LICENSE
+}



More information about the arch-commits mailing list